<?php

/* -------------------------------------------------------
 *
 *   LiveStreet (1.x)
 *   Plugin Disabling the collective blog (v.1.1.1)
 *   Copyright © 2011 Bishovec Nikolay
 *
 * --------------------------------------------------------
 *
 *   Plugin Page: http://netlanc.net
 *   Contact e-mail: netlanc@yandex.ru
 *
  ---------------------------------------------------------
 */

class PluginDcb_ActionBlogs extends PluginDcb_Inherit_ActionBlogs
{

    public function Init()
    {
        parent::Init();
    }

    /**
     * Регистрируем евенты, по сути определяем УРЛы вида /somepage/.../
     *
     */
    protected function RegisterEvent()
    {
        parent::RegisterEvent();
        $this->AddEventPreg('/^(page(\d+))?$/i', 'EventShowBlogs');
    }

    protected function EventShowBlogs()
    {
        /**
         * Передан ли номер страницы
         */
        $iPage = preg_match("/^\d+$/i", $this->GetEventMatch(2)) ? $this->GetEventMatch(2) : 1;
        /**
         * Получаем список блогов пользователей
         */
        $aResult = $this->User_GetUsersRating('good', $iPage, Config::Get('module.blog.per_page'));
        $aBlogs = $aResult['collection'];
        /**
         * Формируем постраничность
         */
        $aPaging = $this->Viewer_MakePaging($aResult['count'], $iPage, Config::Get('module.blog.per_page'), 4, Router::GetPath('blogs'));
        /**
         * Загружаем переменные в шаблон
         */
        $this->Viewer_Assign('aPaging', $aPaging);
        $this->Viewer_Assign("aBlogs", $aBlogs);
        $this->Viewer_AddHtmlTitle($this->Lang_Get('blog_menu_all_list'));
        /**
         * Устанавливаем шаблон вывода
         */
        $this->SetTemplateAction('index');
    }

    /**
     * Shutdown Function
     */
    public function EventShutdown()
    {
        parent::EventShutdown();
    }

}

?>
